Activation Group Accounting¶
Search Activation Group Accounting¶
HTTP Request
POST /api/v1/activation-group-accountings/search
📋 Description: Submits a search request for activation group accountings within the Nakisa Lease Accounting Suite, enabling users to efficiently locate relevant lease, contract, and financial obligation entries for comprehensive accounting analysis.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
page |
query |
integer |
false |
Zero-based page index (0..N) |
size |
query |
integer |
false |
The size of the page to be returned |
sort |
query |
array[string] |
false |
Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |
body |
body |
false |
Request body containing search criteria and filters for retrieving lease, contract, and financial obligation accounting entries within the Nakisa Lease Accounting Suite. |
Default Values¶
Parameter |
Default |
Type |
|---|---|---|
page |
|
query |
size |
|
query |
sort |
|
query |
Parameter Constraints¶
Parameter |
Constraints |
|---|---|
page |
Min: 0 |
size |
Min: 1 |
Body Parameters
1{
2 "idIn": [
3 10000001,
4 10000002
5 ],
6 "idEqual": 10000001,
7 "idLike": "AGACC-2025-%",
8 "createdAtGreaterThanOrEqual": "2025-01-01T00:00:00Z",
9 "createdAtLessThanOrEqual": "2025-12-31T23:59:59Z",
10 "createdByLike": "admin%",
11 "createdByEqual": "super.admin@nakisa.com",
12 "modifiedAtGreaterThanOrEqual": "2025-06-01T00:00:00Z",
13 "modifiedAtLessThanOrEqual": "2025-07-01T23:59:59Z",
14 "modifiedByLike": "editor%",
15 "modifiedByEqual": "editorUser",
16 "displayIdIn": [
17 "AGACC-10000001",
18 "AGACC-10000002"
19 ],
20 "displayIdLike": "AGACC-%",
21 "principalPositionTypeEqual": "LESSEE",
22 "compoundingFrequencyIn": [
23 "MONTHLY",
24 "QUARTERLY"
25 ],
26 "calendarTypeIn": [
27 "REGULAR_CALENDAR"
28 ],
29 "workBreakdownStructureIdIn": [
30 0
31 ],
32 "workBreakdownStructureDisplayIdIn": [
33 "string"
34 ],
35 "functionalAreaIdIn": [
36 0
37 ],
38 "functionalAreaDisplayIdIn": [
39 "string"
40 ],
41 "businessAreaIdIn": [
42 0
43 ],
44 "businessAreaDisplayIdIn": [
45 "string"
46 ],
47 "taxJurisdictionIdIn": [
48 0
49 ],
50 "taxJurisdictionDisplayIdIn": [
51 "string"
52 ],
53 "taxCodeIdIn": [
54 0
55 ],
56 "taxCodeDisplayIdIn": [
57 "string"
58 ],
59 "paymentTermIdIn": [
60 0
61 ],
62 "paymentTermDisplayIdIn": [
63 "string"
64 ],
65 "paymentBlockIdIn": [
66 0
67 ],
68 "paymentBlockDisplayIdIn": [
69 "string"
70 ],
71 "paymentMethodIdIn": [
72 0
73 ],
74 "paymentMethodDisplayIdIn": [
75 "string"
76 ],
77 "profitCenterIdIn": [
78 0
79 ],
80 "profitCenterDisplayIdIn": [
81 "string"
82 ],
83 "networkIdIn": [
84 0
85 ],
86 "networkDisplayIdIn": [
87 "string"
88 ],
89 "segmentIdIn": [
90 0
91 ],
92 "segmentDisplayIdIn": [
93 "string"
94 ],
95 "internalOrderIdIn": [
96 0
97 ],
98 "internalOrderDisplayIdIn": [
99 "string"
100 ],
101 "internalOrderTypeIdIn": [
102 0
103 ],
104 "internalOrderTypeDisplayIdIn": [
105 "string"
106 ],
107 "costCenterIdIn": [
108 0
109 ],
110 "costCenterDisplayIdIn": [
111 "string"
112 ],
113 "responsibleCostCenterIdIn": [
114 0
115 ],
116 "responsibleCostCenterDisplayIdIn": [
117 "string"
118 ],
119 "activationGroupRevisionIdIn": [
120 0
121 ],
122 "activationGroupRevisionDisplayIdIn": [
123 "string"
124 ],
125 "activationGroupIdIn": [
126 0
127 ],
128 "activationGroupDisplayIdIn": [
129 "string"
130 ],
131 "indexationTypeEqual": "CPI_LOCAL",
132 "indexationTypeNonLeaseEqual": "NONE",
133 "spreadingFrequencyIn": [
134 "STRAIGHT_LINE"
135 ],
136 "spreadingFrequencyEqual": "PERIODIC",
137 "consumerPriceIndexCategoryIdIn": [
138 0
139 ],
140 "consumerPriceIndexCategoryDisplayIdIn": [
141 "string"
142 ],
143 "consumerPriceIndexCategoryIdNonLeaseIn": [
144 0
145 ],
146 "consumerPriceIndexCategoryDisplayIdNonLeaseIn": [
147 "string"
148 ],
149 "indexationTreatmentTypeEqual": "DEFAULT",
150 "consumerPriceIndexValueIdIn": [
151 0
152 ],
153 "consumerPriceIndexValueDisplayIdIn": [
154 "string"
155 ],
156 "consumerPriceIndexValueIdNonLeaseIn": [
157 0
158 ],
159 "consumerPriceIndexValueDisplayIdNonLeaseIn": [
160 "string"
161 ],
162 "purchasingOrganizationIdIn": [
163 0
164 ],
165 "purchasingOrganizationDisplayIdIn": [
166 "string"
167 ],
168 "purchasingOrderIdIn": [
169 0
170 ],
171 "purchasingOrderDisplayIdIn": [
172 "string"
173 ],
174 "type": "ACTIVATION_GROUP_ACCOUNTING"
175}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
Search results successfully returned. |
Example Responses
1{
2 "totalElements": 76,
3 "totalPages": 1,
4 "pageable": {
5 "pageNumber": 0,
6 "unpaged": false,
7 "paged": true,
8 "pageSize": 100,
9 "offset": 0,
10 "sort": {
11 "unsorted": false,
12 "sorted": true,
13 "empty": false
14 }
15 },
16 "numberOfElements": 76,
17 "size": 100,
18 "content": [
19 {
20 "id": 100001,
21 "displayId": "AGA-100001",
22 "principalPositionType": {
23 "name": "LESSEE",
24 "captionKey": "enum.principalpositiontype.lessee",
25 "caption": "Lessee"
26 },
27 "contractRate": 1.25,
28 "straightLineNonLeaseIncomeForPosting": false,
29 "compoundingFrequency": {
30 "name": "MONTHLY",
31 "captionKey": "enum.compoundingFrequency.monthly",
32 "length": 12,
33 "times": 12,
34 "caption": "Monthly"
35 },
36 "lessorPaymentReference": "LP-REF-2025",
37 "trackCost": true,
38 "generateVendorInvoice": false,
39 "calculateTax": true,
40 "calendarType": {
41 "name": "_360",
42 "captionKey": "enum.calendarType.360",
43 "caption": "360 Convention"
44 },
45 "fiscalVariant": {
46 "id": 1001,
47 "displayId": "FV-2025",
48 "status": {
49 "name": "ACTIVE",
50 "captionKey": "enum.objectStatus.active",
51 "active": true,
52 "caption": "Active"
53 },
54 "isCalendarYear": true,
55 "yearDependent": false,
56 "erpSystemDisplayId": "SAP-ERP",
57 "isErpSystemDefault": true
58 },
59 "workBreakdownStructure": {
60 "id": 1001,
61 "displayId": "WBS-2025-001",
62 "status": {
63 "name": "ACTIVE",
64 "captionKey": "enum.objectStatus.active",
65 "active": true,
66 "caption": "Active"
67 },
68 "name": "Main Project WBS",
69 "erpSystemId": 0
70 },
71 "functionalArea": {
72 "id": 2001,
73 "displayId": "FA-2025-001",
74 "status": {
75 "name": "ACTIVE",
76 "captionKey": "enum.objectStatus.active",
77 "active": true,
78 "caption": "Active"
79 },
80 "name": "Accounting Department",
81 "erpSystemId": 0
82 },
83 "businessArea": {
84 "id": 3001,
85 "displayId": "BA-2025-001",
86 "status": {
87 "name": "ACTIVE",
88 "captionKey": "enum.objectStatus.active",
89 "active": true,
90 "caption": "Active"
91 },
92 "name": "North America Operations",
93 "erpSystemId": 0
94 },
95 "taxJurisdiction": {
96 "id": 4001,
97 "displayId": "TJ-2025-001",
98 "status": {
99 "name": "ACTIVE",
100 "captionKey": "enum.objectStatus.active",
101 "active": true,
102 "caption": "Active"
103 },
104 "name": "California Tax Authority",
105 "erpSystemId": 0,
106 "schema": "string",
107 "countryDisplayId": "string"
108 },
109 "taxCode": {
110 "id": 5001,
111 "displayId": "TC-001",
112 "status": {
113 "name": "ACTIVE",
114 "captionKey": "enum.objectStatus.active",
115 "active": true,
116 "caption": "Active"
117 },
118 "name": "VAT Standard Rate",
119 "erpSystemId": 0
120 },
121 "paymentTerm": {
122 "id": 6001,
123 "displayId": "PT-2025-001",
124 "status": {
125 "name": "ACTIVE",
126 "captionKey": "enum.objectStatus.active",
127 "active": true,
128 "caption": "Active"
129 },
130 "name": "Net 30 Days"
131 },
132 "paymentBlock": {
133 "id": 7001,
134 "displayId": "PB-001",
135 "status": {
136 "name": "ACTIVE",
137 "captionKey": "enum.objectStatus.active",
138 "active": true,
139 "caption": "Active"
140 },
141 "name": "Block A"
142 },
143 "paymentMethod": {
144 "id": 8001,
145 "displayId": "PM-001",
146 "status": {
147 "name": "ACTIVE",
148 "captionKey": "enum.objectStatus.active",
149 "active": true,
150 "caption": "Active"
151 },
152 "name": "Bank Transfer",
153 "type": "WIRE"
154 },
155 "profitCenter": {
156 "id": 9001,
157 "displayId": "PC-001",
158 "status": {
159 "name": "ACTIVE",
160 "captionKey": "enum.objectStatus.active",
161 "active": true,
162 "caption": "Active"
163 },
164 "name": "North Region Profit Center",
165 "validTo": "2025-12-31",
166 "erpSystemId": 101,
167 "erpSystemDisplayId": "SAP-01"
168 },
169 "network": {
170 "id": 10001,
171 "displayId": "NET-001",
172 "status": {
173 "name": "ACTIVE",
174 "captionKey": "enum.objectStatus.active",
175 "active": true,
176 "caption": "Active"
177 },
178 "name": "Global Network",
179 "erpSystemId": 0
180 },
181 "segment": {
182 "id": 11001,
183 "displayId": "SEG-001",
184 "status": {
185 "name": "ACTIVE",
186 "captionKey": "enum.objectStatus.active",
187 "active": true,
188 "caption": "Active"
189 },
190 "name": "Segment Alpha",
191 "erpSystemId": 0
192 },
193 "internalOrder": {
194 "id": 12001,
195 "displayId": "IO-001",
196 "status": {
197 "name": "ACTIVE",
198 "captionKey": "enum.objectStatus.active",
199 "active": true,
200 "caption": "Active"
201 },
202 "name": "Internal Order A",
203 "erpSystemId": 0,
204 "internalOrderTypeId": 0
205 },
206 "internalOrderType": {
207 "id": 13001,
208 "displayId": "IOT-001",
209 "status": {
210 "name": "ACTIVE",
211 "captionKey": "enum.objectStatus.active",
212 "active": true,
213 "caption": "Active"
214 },
215 "name": "Internal Order Type A",
216 "erpSystemId": 0
217 },
218 "costCenter": {
219 "id": 14001,
220 "displayId": "CC-001",
221 "status": {
222 "name": "ACTIVE",
223 "captionKey": "enum.objectStatus.active",
224 "active": true,
225 "caption": "Active"
226 },
227 "name": "Cost Center A",
228 "erpSystemId": 0
229 },
230 "responsibleCostCenter": {
231 "id": 14001,
232 "displayId": "CC-001",
233 "status": {
234 "name": "ACTIVE",
235 "captionKey": "enum.objectStatus.active",
236 "active": true,
237 "caption": "Active"
238 },
239 "name": "Cost Center A",
240 "erpSystemId": 0
241 },
242 "activationGroupRevisionId": 100010,
243 "activationGroupRevisionDisplayId": "AGR-100010",
244 "activationGroupId": 100001,
245 "activationGroupDisplayId": "AG-100001",
246 "indexationType": "CPI_LOCAL",
247 "currentIndexLevel": 100.5,
248 "indexationReferenceDate": "2025-08-01",
249 "conditionallyIndexed": true,
250 "applicableCurrentIndexLevel": 101,
251 "indexationLevelPercentageChangeLowerBound": 0,
252 "indexationLevelPercentageChangeUpperBound": 5,
253 "indexationTypeNonLease": "CPI_LOCAL",
254 "currentIndexLevelNonLease": 100,
255 "indexationReferenceDateNonLease": "2025-08-01",
256 "conditionallyIndexedNonLease": false,
257 "useNonLeaseOnIndexation": true,
258 "applicableCurrentIndexLevelNonLease": 100.5,
259 "indexationLevelPercentageChangeLowerBoundNonLease": 0,
260 "indexationLevelPercentageChangeUpperBoundNonLease": 3,
261 "spreadingFrequency": "STRAIGHT_LINE",
262 "costCenterAllocations": [
263 {
264 "id": 10001,
265 "mainCostCenter": true,
266 "allocationPercentage": 75,
267 "costCenter": {
268 "id": 14001,
269 "displayId": "CC-001",
270 "status": {
271 "name": "ACTIVE",
272 "captionKey": "enum.objectStatus.active",
273 "active": true,
274 "caption": "Active"
275 },
276 "name": "Cost Center A",
277 "erpSystemId": 0
278 },
279 "profitCenter": {
280 "id": 9001,
281 "displayId": "PC-001",
282 "status": {
283 "name": "ACTIVE",
284 "captionKey": "enum.objectStatus.active",
285 "active": true,
286 "caption": "Active"
287 },
288 "name": "North Region Profit Center",
289 "validTo": "2025-12-31",
290 "erpSystemId": 101,
291 "erpSystemDisplayId": "SAP-01"
292 }
293 }
294 ],
295 "ibrRate": 1.5,
296 "ibrRateCarryOver": 0.5,
297 "consumerPriceIndexCategory": {
298 "id": 101,
299 "displayId": "CPI-2025-001",
300 "status": {
301 "name": "ACTIVE",
302 "captionKey": "enum.objectStatus.active",
303 "active": true,
304 "caption": "Active"
305 },
306 "name": "Consumer Price Index - City A",
307 "city": "New York",
308 "country": "USA",
309 "province": "NY",
310 "erpSystemId": 0
311 },
312 "consumerPriceIndexCategoryNonLease": {
313 "id": 101,
314 "displayId": "CPI-2025-001",
315 "status": {
316 "name": "ACTIVE",
317 "captionKey": "enum.objectStatus.active",
318 "active": true,
319 "caption": "Active"
320 },
321 "name": "Consumer Price Index - City A",
322 "city": "New York",
323 "country": "USA",
324 "province": "NY",
325 "erpSystemId": 0
326 },
327 "indexationTreatmentType": "STANDARD",
328 "consumerPriceIndexValue": {
329 "id": 101,
330 "displayId": "CPI-VAL-2025-001",
331 "status": {
332 "name": "ACTIVE",
333 "captionKey": "enum.objectStatus.active",
334 "active": true,
335 "caption": "Active"
336 },
337 "value": 102.5
338 },
339 "consumerPriceIndexValueNonLease": {
340 "id": 101,
341 "displayId": "CPI-VAL-2025-001",
342 "status": {
343 "name": "ACTIVE",
344 "captionKey": "enum.objectStatus.active",
345 "active": true,
346 "caption": "Active"
347 },
348 "value": 102.5
349 },
350 "purchasingOrganization": {
351 "id": 1001,
352 "displayId": "PO-1001",
353 "status": {
354 "name": "ACTIVE",
355 "captionKey": "enum.objectStatus.active",
356 "active": true,
357 "caption": "Active"
358 },
359 "name": "North America Purchasing",
360 "companyId": 2001,
361 "companyDisplayId": "COMP-2001"
362 },
363 "purchasingOrder": {
364 "id": 3001,
365 "displayId": "PO-3001",
366 "status": {
367 "name": "ACTIVE",
368 "captionKey": "enum.objectStatus.active",
369 "active": true,
370 "caption": "Active"
371 },
372 "name": "Office Supplies Order",
373 "companyId": 2001
374 },
375 "type": "LESSEE",
376 "numberRangeIdentifierValue": "1000",
377 "numberRangeIdentifierType": {
378 "name": "COMPANY_CODE"
379 },
380 "numberRangeType": {
381 "name": "CONTRACT"
382 },
383 "allowsSystemGenerateNewId": false
384 }
385 ],
386 "number": 0,
387 "sort": {
388 "unsorted": false,
389 "sorted": true,
390 "empty": false
391 },
392 "first": true,
393 "last": true,
394 "empty": false
395}
Create Or Update Cost Objects For Activation Group¶
HTTP Request
POST /api/v1/activation-group-accountings/cost-objects/createOrUpdate
📋 Description: Creates or updates cost objects within the Nakisa Lease Accounting Suite, facilitating the management of financial obligations and accounting entries related to leases and contracts. This operation ensures accurate tracking and reporting of lease-related costs.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
false |
Request body containing the cost object data related to lease and contract financial obligations, including details for creating or updating accounting entries. |
Body Parameters
1{
2 "activationGroupRevisionId": 10000001,
3 "effectiveDate": "2025-01-01",
4 "allocations": [],
5 "workBreakdownStructure": {
6 "id": 1001,
7 "displayId": "WBS-2025-001",
8 "status": {
9 "name": "ACTIVE",
10 "captionKey": "enum.objectStatus.active",
11 "active": true,
12 "caption": "Active"
13 },
14 "name": "Main Project WBS",
15 "erpSystemId": 0
16 },
17 "profitCenter": {
18 "id": 9001,
19 "displayId": "PC-001",
20 "status": {
21 "name": "ACTIVE",
22 "captionKey": "enum.objectStatus.active",
23 "active": true,
24 "caption": "Active"
25 },
26 "name": "North Region Profit Center",
27 "validTo": "2025-12-31",
28 "erpSystemId": 101,
29 "erpSystemDisplayId": "SAP-01"
30 },
31 "costCenter": {
32 "id": 14001,
33 "displayId": "CC-001",
34 "status": {
35 "name": "ACTIVE",
36 "captionKey": "enum.objectStatus.active",
37 "active": true,
38 "caption": "Active"
39 },
40 "name": "Cost Center A",
41 "erpSystemId": 0
42 },
43 "responsibleCostCenter": {
44 "id": 14001,
45 "displayId": "CC-001",
46 "status": {
47 "name": "ACTIVE",
48 "captionKey": "enum.objectStatus.active",
49 "active": true,
50 "caption": "Active"
51 },
52 "name": "Cost Center A",
53 "erpSystemId": 0
54 },
55 "unitIds": [
56 10000001,
57 10000002
58 ]
59}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
Cost objects successfully created or updated. |
Example Responses
1{
2 "code": "OK",
3 "errors": {
4 "all": []
5 },
6 "object": {}
7}
Get Resource By ID¶
HTTP Request
GET /api/v1/activation-group-accountings/{id}
📋 Description: Retrieves detailed accounting information for a specific activation group by its unique identifier, facilitating insights into lease-related financial obligations and contract management within the Nakisa Lease Accounting Suite.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer |
true |
Unique identifier for the resource |
Example Values¶
Parameter |
Example |
Type |
|---|---|---|
id |
|
path |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
Successfully retrieved activation group accounting |
Example Responses
1{
2 "code": "OK",
3 "errors": {
4 "all": []
5 },
6 "object": {
7 "id": 100001,
8 "displayId": "AGA-100001",
9 "principalPositionType": {
10 "name": "LESSEE",
11 "captionKey": "enum.principalpositiontype.lessee",
12 "caption": "Lessee"
13 },
14 "contractRate": 1.25,
15 "straightLineNonLeaseIncomeForPosting": false,
16 "compoundingFrequency": {
17 "name": "MONTHLY",
18 "captionKey": "enum.compoundingFrequency.monthly",
19 "length": 12,
20 "times": 12,
21 "caption": "Monthly"
22 },
23 "lessorPaymentReference": "LP-REF-2025",
24 "trackCost": true,
25 "generateVendorInvoice": false,
26 "calculateTax": true,
27 "calendarType": {
28 "name": "_360",
29 "captionKey": "enum.calendarType.360",
30 "caption": "360 Convention"
31 },
32 "fiscalVariant": {
33 "id": 1001,
34 "displayId": "FV-2025",
35 "status": {
36 "name": "ACTIVE",
37 "captionKey": "enum.objectStatus.active",
38 "active": true,
39 "caption": "Active"
40 },
41 "isCalendarYear": true,
42 "yearDependent": false,
43 "erpSystemDisplayId": "SAP-ERP",
44 "isErpSystemDefault": true
45 },
46 "workBreakdownStructure": {
47 "id": 1001,
48 "displayId": "WBS-2025-001",
49 "status": {
50 "name": "ACTIVE",
51 "captionKey": "enum.objectStatus.active",
52 "active": true,
53 "caption": "Active"
54 },
55 "name": "Main Project WBS",
56 "erpSystemId": 0
57 },
58 "functionalArea": {
59 "id": 2001,
60 "displayId": "FA-2025-001",
61 "status": {
62 "name": "ACTIVE",
63 "captionKey": "enum.objectStatus.active",
64 "active": true,
65 "caption": "Active"
66 },
67 "name": "Accounting Department",
68 "erpSystemId": 0
69 },
70 "businessArea": {
71 "id": 3001,
72 "displayId": "BA-2025-001",
73 "status": {
74 "name": "ACTIVE",
75 "captionKey": "enum.objectStatus.active",
76 "active": true,
77 "caption": "Active"
78 },
79 "name": "North America Operations",
80 "erpSystemId": 0
81 },
82 "taxJurisdiction": {
83 "id": 4001,
84 "displayId": "TJ-2025-001",
85 "status": {
86 "name": "ACTIVE",
87 "captionKey": "enum.objectStatus.active",
88 "active": true,
89 "caption": "Active"
90 },
91 "name": "California Tax Authority",
92 "erpSystemId": 0,
93 "schema": "string",
94 "countryDisplayId": "string"
95 },
96 "taxCode": {
97 "id": 5001,
98 "displayId": "TC-001",
99 "status": {
100 "name": "ACTIVE",
101 "captionKey": "enum.objectStatus.active",
102 "active": true,
103 "caption": "Active"
104 },
105 "name": "VAT Standard Rate",
106 "erpSystemId": 0
107 },
108 "paymentTerm": {
109 "id": 6001,
110 "displayId": "PT-2025-001",
111 "status": {
112 "name": "ACTIVE",
113 "captionKey": "enum.objectStatus.active",
114 "active": true,
115 "caption": "Active"
116 },
117 "name": "Net 30 Days"
118 },
119 "paymentBlock": {
120 "id": 7001,
121 "displayId": "PB-001",
122 "status": {
123 "name": "ACTIVE",
124 "captionKey": "enum.objectStatus.active",
125 "active": true,
126 "caption": "Active"
127 },
128 "name": "Block A"
129 },
130 "paymentMethod": {
131 "id": 8001,
132 "displayId": "PM-001",
133 "status": {
134 "name": "ACTIVE",
135 "captionKey": "enum.objectStatus.active",
136 "active": true,
137 "caption": "Active"
138 },
139 "name": "Bank Transfer",
140 "type": "WIRE"
141 },
142 "profitCenter": {
143 "id": 9001,
144 "displayId": "PC-001",
145 "status": {
146 "name": "ACTIVE",
147 "captionKey": "enum.objectStatus.active",
148 "active": true,
149 "caption": "Active"
150 },
151 "name": "North Region Profit Center",
152 "validTo": "2025-12-31",
153 "erpSystemId": 101,
154 "erpSystemDisplayId": "SAP-01"
155 },
156 "network": {
157 "id": 10001,
158 "displayId": "NET-001",
159 "status": {
160 "name": "ACTIVE",
161 "captionKey": "enum.objectStatus.active",
162 "active": true,
163 "caption": "Active"
164 },
165 "name": "Global Network",
166 "erpSystemId": 0
167 },
168 "segment": {
169 "id": 11001,
170 "displayId": "SEG-001",
171 "status": {
172 "name": "ACTIVE",
173 "captionKey": "enum.objectStatus.active",
174 "active": true,
175 "caption": "Active"
176 },
177 "name": "Segment Alpha",
178 "erpSystemId": 0
179 },
180 "internalOrder": {
181 "id": 12001,
182 "displayId": "IO-001",
183 "status": {
184 "name": "ACTIVE",
185 "captionKey": "enum.objectStatus.active",
186 "active": true,
187 "caption": "Active"
188 },
189 "name": "Internal Order A",
190 "erpSystemId": 0,
191 "internalOrderTypeId": 0
192 },
193 "internalOrderType": {
194 "id": 13001,
195 "displayId": "IOT-001",
196 "status": {
197 "name": "ACTIVE",
198 "captionKey": "enum.objectStatus.active",
199 "active": true,
200 "caption": "Active"
201 },
202 "name": "Internal Order Type A",
203 "erpSystemId": 0
204 },
205 "costCenter": {
206 "id": 14001,
207 "displayId": "CC-001",
208 "status": {
209 "name": "ACTIVE",
210 "captionKey": "enum.objectStatus.active",
211 "active": true,
212 "caption": "Active"
213 },
214 "name": "Cost Center A",
215 "erpSystemId": 0
216 },
217 "responsibleCostCenter": {
218 "id": 14001,
219 "displayId": "CC-001",
220 "status": {
221 "name": "ACTIVE",
222 "captionKey": "enum.objectStatus.active",
223 "active": true,
224 "caption": "Active"
225 },
226 "name": "Cost Center A",
227 "erpSystemId": 0
228 },
229 "activationGroupRevisionId": 100010,
230 "activationGroupRevisionDisplayId": "AGR-100010",
231 "activationGroupId": 100001,
232 "activationGroupDisplayId": "AG-100001",
233 "indexationType": "CPI_LOCAL",
234 "currentIndexLevel": 100.5,
235 "indexationReferenceDate": "2025-08-01",
236 "conditionallyIndexed": true,
237 "applicableCurrentIndexLevel": 101,
238 "indexationLevelPercentageChangeLowerBound": 0,
239 "indexationLevelPercentageChangeUpperBound": 5,
240 "indexationTypeNonLease": "CPI_LOCAL",
241 "currentIndexLevelNonLease": 100,
242 "indexationReferenceDateNonLease": "2025-08-01",
243 "conditionallyIndexedNonLease": false,
244 "useNonLeaseOnIndexation": true,
245 "applicableCurrentIndexLevelNonLease": 100.5,
246 "indexationLevelPercentageChangeLowerBoundNonLease": 0,
247 "indexationLevelPercentageChangeUpperBoundNonLease": 3,
248 "spreadingFrequency": "STRAIGHT_LINE",
249 "costCenterAllocations": [
250 {
251 "id": 10001,
252 "mainCostCenter": true,
253 "allocationPercentage": 75,
254 "costCenter": {
255 "id": 14001,
256 "displayId": "CC-001",
257 "status": {
258 "name": "ACTIVE",
259 "captionKey": "enum.objectStatus.active",
260 "active": true,
261 "caption": "Active"
262 },
263 "name": "Cost Center A",
264 "erpSystemId": 0
265 },
266 "profitCenter": {
267 "id": 9001,
268 "displayId": "PC-001",
269 "status": {
270 "name": "ACTIVE",
271 "captionKey": "enum.objectStatus.active",
272 "active": true,
273 "caption": "Active"
274 },
275 "name": "North Region Profit Center",
276 "validTo": "2025-12-31",
277 "erpSystemId": 101,
278 "erpSystemDisplayId": "SAP-01"
279 }
280 }
281 ],
282 "ibrRate": 1.5,
283 "ibrRateCarryOver": 0.5,
284 "consumerPriceIndexCategory": {
285 "id": 101,
286 "displayId": "CPI-2025-001",
287 "status": {
288 "name": "ACTIVE",
289 "captionKey": "enum.objectStatus.active",
290 "active": true,
291 "caption": "Active"
292 },
293 "name": "Consumer Price Index - City A",
294 "city": "New York",
295 "country": "USA",
296 "province": "NY",
297 "erpSystemId": 0
298 },
299 "consumerPriceIndexCategoryNonLease": {
300 "id": 101,
301 "displayId": "CPI-2025-001",
302 "status": {
303 "name": "ACTIVE",
304 "captionKey": "enum.objectStatus.active",
305 "active": true,
306 "caption": "Active"
307 },
308 "name": "Consumer Price Index - City A",
309 "city": "New York",
310 "country": "USA",
311 "province": "NY",
312 "erpSystemId": 0
313 },
314 "indexationTreatmentType": "STANDARD",
315 "consumerPriceIndexValue": {
316 "id": 101,
317 "displayId": "CPI-VAL-2025-001",
318 "status": {
319 "name": "ACTIVE",
320 "captionKey": "enum.objectStatus.active",
321 "active": true,
322 "caption": "Active"
323 },
324 "value": 102.5
325 },
326 "consumerPriceIndexValueNonLease": {
327 "id": 101,
328 "displayId": "CPI-VAL-2025-001",
329 "status": {
330 "name": "ACTIVE",
331 "captionKey": "enum.objectStatus.active",
332 "active": true,
333 "caption": "Active"
334 },
335 "value": 102.5
336 },
337 "purchasingOrganization": {
338 "id": 1001,
339 "displayId": "PO-1001",
340 "status": {
341 "name": "ACTIVE",
342 "captionKey": "enum.objectStatus.active",
343 "active": true,
344 "caption": "Active"
345 },
346 "name": "North America Purchasing",
347 "companyId": 2001,
348 "companyDisplayId": "COMP-2001"
349 },
350 "purchasingOrder": {
351 "id": 3001,
352 "displayId": "PO-3001",
353 "status": {
354 "name": "ACTIVE",
355 "captionKey": "enum.objectStatus.active",
356 "active": true,
357 "caption": "Active"
358 },
359 "name": "Office Supplies Order",
360 "companyId": 2001
361 },
362 "type": "LESSEE",
363 "numberRangeIdentifierValue": "1000",
364 "numberRangeIdentifierType": {
365 "name": "COMPANY_CODE"
366 },
367 "numberRangeType": {
368 "name": "CONTRACT"
369 },
370 "allowsSystemGenerateNewId": false
371 }
372}
Update A Activation Group Accounting¶
HTTP Request
PATCH /api/v1/activation-group-accountings/{id}
📋 Description: Updates the financial obligation details of a specified activation group accounting entry, allowing for adjustments in lease and contract-related accounting records within the Nakisa Lease Accounting Suite.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer |
true |
Unique identifier for the resource |
body |
body |
false |
Request body containing the updated financial obligation details and accounting entries for the specified lease contract in the Nakisa Lease Accounting Suite. |
Example Values¶
Parameter |
Example |
Type |
|---|---|---|
id |
|
path |
body |
|
body |
Body Parameters
1{
2 "op": "replace",
3 "path": "/name",
4 "value": "patched contract"
5}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
Successfully patched activation group. |
Example Responses
1{
2 "code": "OK",
3 "errors": {
4 "all": []
5 },
6 "object": {
7 "id": 100001,
8 "displayId": "AGA-100001",
9 "principalPositionType": {
10 "name": "LESSEE",
11 "captionKey": "enum.principalpositiontype.lessee",
12 "caption": "Lessee"
13 },
14 "contractRate": 1.25,
15 "straightLineNonLeaseIncomeForPosting": false,
16 "compoundingFrequency": {
17 "name": "MONTHLY",
18 "captionKey": "enum.compoundingFrequency.monthly",
19 "length": 12,
20 "times": 12,
21 "caption": "Monthly"
22 },
23 "lessorPaymentReference": "LP-REF-2025",
24 "trackCost": true,
25 "generateVendorInvoice": false,
26 "calculateTax": true,
27 "calendarType": {
28 "name": "_360",
29 "captionKey": "enum.calendarType.360",
30 "caption": "360 Convention"
31 },
32 "fiscalVariant": {
33 "id": 1001,
34 "displayId": "FV-2025",
35 "status": {
36 "name": "ACTIVE",
37 "captionKey": "enum.objectStatus.active",
38 "active": true,
39 "caption": "Active"
40 },
41 "isCalendarYear": true,
42 "yearDependent": false,
43 "erpSystemDisplayId": "SAP-ERP",
44 "isErpSystemDefault": true
45 },
46 "workBreakdownStructure": {
47 "id": 1001,
48 "displayId": "WBS-2025-001",
49 "status": {
50 "name": "ACTIVE",
51 "captionKey": "enum.objectStatus.active",
52 "active": true,
53 "caption": "Active"
54 },
55 "name": "Main Project WBS",
56 "erpSystemId": 0
57 },
58 "functionalArea": {
59 "id": 2001,
60 "displayId": "FA-2025-001",
61 "status": {
62 "name": "ACTIVE",
63 "captionKey": "enum.objectStatus.active",
64 "active": true,
65 "caption": "Active"
66 },
67 "name": "Accounting Department",
68 "erpSystemId": 0
69 },
70 "businessArea": {
71 "id": 3001,
72 "displayId": "BA-2025-001",
73 "status": {
74 "name": "ACTIVE",
75 "captionKey": "enum.objectStatus.active",
76 "active": true,
77 "caption": "Active"
78 },
79 "name": "North America Operations",
80 "erpSystemId": 0
81 },
82 "taxJurisdiction": {
83 "id": 4001,
84 "displayId": "TJ-2025-001",
85 "status": {
86 "name": "ACTIVE",
87 "captionKey": "enum.objectStatus.active",
88 "active": true,
89 "caption": "Active"
90 },
91 "name": "California Tax Authority",
92 "erpSystemId": 0,
93 "schema": "string",
94 "countryDisplayId": "string"
95 },
96 "taxCode": {
97 "id": 5001,
98 "displayId": "TC-001",
99 "status": {
100 "name": "ACTIVE",
101 "captionKey": "enum.objectStatus.active",
102 "active": true,
103 "caption": "Active"
104 },
105 "name": "VAT Standard Rate",
106 "erpSystemId": 0
107 },
108 "paymentTerm": {
109 "id": 6001,
110 "displayId": "PT-2025-001",
111 "status": {
112 "name": "ACTIVE",
113 "captionKey": "enum.objectStatus.active",
114 "active": true,
115 "caption": "Active"
116 },
117 "name": "Net 30 Days"
118 },
119 "paymentBlock": {
120 "id": 7001,
121 "displayId": "PB-001",
122 "status": {
123 "name": "ACTIVE",
124 "captionKey": "enum.objectStatus.active",
125 "active": true,
126 "caption": "Active"
127 },
128 "name": "Block A"
129 },
130 "paymentMethod": {
131 "id": 8001,
132 "displayId": "PM-001",
133 "status": {
134 "name": "ACTIVE",
135 "captionKey": "enum.objectStatus.active",
136 "active": true,
137 "caption": "Active"
138 },
139 "name": "Bank Transfer",
140 "type": "WIRE"
141 },
142 "profitCenter": {
143 "id": 9001,
144 "displayId": "PC-001",
145 "status": {
146 "name": "ACTIVE",
147 "captionKey": "enum.objectStatus.active",
148 "active": true,
149 "caption": "Active"
150 },
151 "name": "North Region Profit Center",
152 "validTo": "2025-12-31",
153 "erpSystemId": 101,
154 "erpSystemDisplayId": "SAP-01"
155 },
156 "network": {
157 "id": 10001,
158 "displayId": "NET-001",
159 "status": {
160 "name": "ACTIVE",
161 "captionKey": "enum.objectStatus.active",
162 "active": true,
163 "caption": "Active"
164 },
165 "name": "Global Network",
166 "erpSystemId": 0
167 },
168 "segment": {
169 "id": 11001,
170 "displayId": "SEG-001",
171 "status": {
172 "name": "ACTIVE",
173 "captionKey": "enum.objectStatus.active",
174 "active": true,
175 "caption": "Active"
176 },
177 "name": "Segment Alpha",
178 "erpSystemId": 0
179 },
180 "internalOrder": {
181 "id": 12001,
182 "displayId": "IO-001",
183 "status": {
184 "name": "ACTIVE",
185 "captionKey": "enum.objectStatus.active",
186 "active": true,
187 "caption": "Active"
188 },
189 "name": "Internal Order A",
190 "erpSystemId": 0,
191 "internalOrderTypeId": 0
192 },
193 "internalOrderType": {
194 "id": 13001,
195 "displayId": "IOT-001",
196 "status": {
197 "name": "ACTIVE",
198 "captionKey": "enum.objectStatus.active",
199 "active": true,
200 "caption": "Active"
201 },
202 "name": "Internal Order Type A",
203 "erpSystemId": 0
204 },
205 "costCenter": {
206 "id": 14001,
207 "displayId": "CC-001",
208 "status": {
209 "name": "ACTIVE",
210 "captionKey": "enum.objectStatus.active",
211 "active": true,
212 "caption": "Active"
213 },
214 "name": "Cost Center A",
215 "erpSystemId": 0
216 },
217 "responsibleCostCenter": {
218 "id": 14001,
219 "displayId": "CC-001",
220 "status": {
221 "name": "ACTIVE",
222 "captionKey": "enum.objectStatus.active",
223 "active": true,
224 "caption": "Active"
225 },
226 "name": "Cost Center A",
227 "erpSystemId": 0
228 },
229 "activationGroupRevisionId": 100010,
230 "activationGroupRevisionDisplayId": "AGR-100010",
231 "activationGroupId": 100001,
232 "activationGroupDisplayId": "AG-100001",
233 "indexationType": "CPI_LOCAL",
234 "currentIndexLevel": 100.5,
235 "indexationReferenceDate": "2025-08-01",
236 "conditionallyIndexed": true,
237 "applicableCurrentIndexLevel": 101,
238 "indexationLevelPercentageChangeLowerBound": 0,
239 "indexationLevelPercentageChangeUpperBound": 5,
240 "indexationTypeNonLease": "CPI_LOCAL",
241 "currentIndexLevelNonLease": 100,
242 "indexationReferenceDateNonLease": "2025-08-01",
243 "conditionallyIndexedNonLease": false,
244 "useNonLeaseOnIndexation": true,
245 "applicableCurrentIndexLevelNonLease": 100.5,
246 "indexationLevelPercentageChangeLowerBoundNonLease": 0,
247 "indexationLevelPercentageChangeUpperBoundNonLease": 3,
248 "spreadingFrequency": "STRAIGHT_LINE",
249 "costCenterAllocations": [
250 {
251 "id": 10001,
252 "mainCostCenter": true,
253 "allocationPercentage": 75,
254 "costCenter": {
255 "id": 14001,
256 "displayId": "CC-001",
257 "status": {
258 "name": "ACTIVE",
259 "captionKey": "enum.objectStatus.active",
260 "active": true,
261 "caption": "Active"
262 },
263 "name": "Cost Center A",
264 "erpSystemId": 0
265 },
266 "profitCenter": {
267 "id": 9001,
268 "displayId": "PC-001",
269 "status": {
270 "name": "ACTIVE",
271 "captionKey": "enum.objectStatus.active",
272 "active": true,
273 "caption": "Active"
274 },
275 "name": "North Region Profit Center",
276 "validTo": "2025-12-31",
277 "erpSystemId": 101,
278 "erpSystemDisplayId": "SAP-01"
279 }
280 }
281 ],
282 "ibrRate": 1.5,
283 "ibrRateCarryOver": 0.5,
284 "consumerPriceIndexCategory": {
285 "id": 101,
286 "displayId": "CPI-2025-001",
287 "status": {
288 "name": "ACTIVE",
289 "captionKey": "enum.objectStatus.active",
290 "active": true,
291 "caption": "Active"
292 },
293 "name": "Consumer Price Index - City A",
294 "city": "New York",
295 "country": "USA",
296 "province": "NY",
297 "erpSystemId": 0
298 },
299 "consumerPriceIndexCategoryNonLease": {
300 "id": 101,
301 "displayId": "CPI-2025-001",
302 "status": {
303 "name": "ACTIVE",
304 "captionKey": "enum.objectStatus.active",
305 "active": true,
306 "caption": "Active"
307 },
308 "name": "Consumer Price Index - City A",
309 "city": "New York",
310 "country": "USA",
311 "province": "NY",
312 "erpSystemId": 0
313 },
314 "indexationTreatmentType": "STANDARD",
315 "consumerPriceIndexValue": {
316 "id": 101,
317 "displayId": "CPI-VAL-2025-001",
318 "status": {
319 "name": "ACTIVE",
320 "captionKey": "enum.objectStatus.active",
321 "active": true,
322 "caption": "Active"
323 },
324 "value": 102.5
325 },
326 "consumerPriceIndexValueNonLease": {
327 "id": 101,
328 "displayId": "CPI-VAL-2025-001",
329 "status": {
330 "name": "ACTIVE",
331 "captionKey": "enum.objectStatus.active",
332 "active": true,
333 "caption": "Active"
334 },
335 "value": 102.5
336 },
337 "purchasingOrganization": {
338 "id": 1001,
339 "displayId": "PO-1001",
340 "status": {
341 "name": "ACTIVE",
342 "captionKey": "enum.objectStatus.active",
343 "active": true,
344 "caption": "Active"
345 },
346 "name": "North America Purchasing",
347 "companyId": 2001,
348 "companyDisplayId": "COMP-2001"
349 },
350 "purchasingOrder": {
351 "id": 3001,
352 "displayId": "PO-3001",
353 "status": {
354 "name": "ACTIVE",
355 "captionKey": "enum.objectStatus.active",
356 "active": true,
357 "caption": "Active"
358 },
359 "name": "Office Supplies Order",
360 "companyId": 2001
361 },
362 "type": "LESSEE",
363 "numberRangeIdentifierValue": "1000",
364 "numberRangeIdentifierType": {
365 "name": "COMPANY_CODE"
366 },
367 "numberRangeType": {
368 "name": "CONTRACT"
369 },
370 "allowsSystemGenerateNewId": false
371 }
372}
List All Activation Group Accountings¶
HTTP Request
GET /api/v1/activation-group-accountings
📋 Description: Retrieves accounting entries related to activation groups within the Nakisa Lease Accounting Suite, providing insights into lease contracts and financial obligations.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
pageable |
query |
false |
Indicates whether the results of the lease accounting entries should be returned in a paginated format, facilitating efficient data retrieval and management of financial obligations and contracts. |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
Successfully retrieved list of activation group accountings. |
Example Responses
1{
2 "totalElements": 76,
3 "totalPages": 1,
4 "pageable": {
5 "pageNumber": 0,
6 "unpaged": false,
7 "paged": true,
8 "pageSize": 100,
9 "offset": 0,
10 "sort": {
11 "unsorted": false,
12 "sorted": true,
13 "empty": false
14 }
15 },
16 "numberOfElements": 76,
17 "size": 100,
18 "content": [
19 {
20 "id": 100001,
21 "displayId": "AGA-100001",
22 "principalPositionType": {
23 "name": "LESSEE",
24 "captionKey": "enum.principalpositiontype.lessee",
25 "caption": "Lessee"
26 },
27 "contractRate": 1.25,
28 "straightLineNonLeaseIncomeForPosting": false,
29 "compoundingFrequency": {
30 "name": "MONTHLY",
31 "captionKey": "enum.compoundingFrequency.monthly",
32 "length": 12,
33 "times": 12,
34 "caption": "Monthly"
35 },
36 "lessorPaymentReference": "LP-REF-2025",
37 "trackCost": true,
38 "generateVendorInvoice": false,
39 "calculateTax": true,
40 "calendarType": {
41 "name": "_360",
42 "captionKey": "enum.calendarType.360",
43 "caption": "360 Convention"
44 },
45 "fiscalVariant": {
46 "id": 1001,
47 "displayId": "FV-2025",
48 "status": {
49 "name": "ACTIVE",
50 "captionKey": "enum.objectStatus.active",
51 "active": true,
52 "caption": "Active"
53 },
54 "isCalendarYear": true,
55 "yearDependent": false,
56 "erpSystemDisplayId": "SAP-ERP",
57 "isErpSystemDefault": true
58 },
59 "workBreakdownStructure": {
60 "id": 1001,
61 "displayId": "WBS-2025-001",
62 "status": {
63 "name": "ACTIVE",
64 "captionKey": "enum.objectStatus.active",
65 "active": true,
66 "caption": "Active"
67 },
68 "name": "Main Project WBS",
69 "erpSystemId": 0
70 },
71 "functionalArea": {
72 "id": 2001,
73 "displayId": "FA-2025-001",
74 "status": {
75 "name": "ACTIVE",
76 "captionKey": "enum.objectStatus.active",
77 "active": true,
78 "caption": "Active"
79 },
80 "name": "Accounting Department",
81 "erpSystemId": 0
82 },
83 "businessArea": {
84 "id": 3001,
85 "displayId": "BA-2025-001",
86 "status": {
87 "name": "ACTIVE",
88 "captionKey": "enum.objectStatus.active",
89 "active": true,
90 "caption": "Active"
91 },
92 "name": "North America Operations",
93 "erpSystemId": 0
94 },
95 "taxJurisdiction": {
96 "id": 4001,
97 "displayId": "TJ-2025-001",
98 "status": {
99 "name": "ACTIVE",
100 "captionKey": "enum.objectStatus.active",
101 "active": true,
102 "caption": "Active"
103 },
104 "name": "California Tax Authority",
105 "erpSystemId": 0,
106 "schema": "string",
107 "countryDisplayId": "string"
108 },
109 "taxCode": {
110 "id": 5001,
111 "displayId": "TC-001",
112 "status": {
113 "name": "ACTIVE",
114 "captionKey": "enum.objectStatus.active",
115 "active": true,
116 "caption": "Active"
117 },
118 "name": "VAT Standard Rate",
119 "erpSystemId": 0
120 },
121 "paymentTerm": {
122 "id": 6001,
123 "displayId": "PT-2025-001",
124 "status": {
125 "name": "ACTIVE",
126 "captionKey": "enum.objectStatus.active",
127 "active": true,
128 "caption": "Active"
129 },
130 "name": "Net 30 Days"
131 },
132 "paymentBlock": {
133 "id": 7001,
134 "displayId": "PB-001",
135 "status": {
136 "name": "ACTIVE",
137 "captionKey": "enum.objectStatus.active",
138 "active": true,
139 "caption": "Active"
140 },
141 "name": "Block A"
142 },
143 "paymentMethod": {
144 "id": 8001,
145 "displayId": "PM-001",
146 "status": {
147 "name": "ACTIVE",
148 "captionKey": "enum.objectStatus.active",
149 "active": true,
150 "caption": "Active"
151 },
152 "name": "Bank Transfer",
153 "type": "WIRE"
154 },
155 "profitCenter": {
156 "id": 9001,
157 "displayId": "PC-001",
158 "status": {
159 "name": "ACTIVE",
160 "captionKey": "enum.objectStatus.active",
161 "active": true,
162 "caption": "Active"
163 },
164 "name": "North Region Profit Center",
165 "validTo": "2025-12-31",
166 "erpSystemId": 101,
167 "erpSystemDisplayId": "SAP-01"
168 },
169 "network": {
170 "id": 10001,
171 "displayId": "NET-001",
172 "status": {
173 "name": "ACTIVE",
174 "captionKey": "enum.objectStatus.active",
175 "active": true,
176 "caption": "Active"
177 },
178 "name": "Global Network",
179 "erpSystemId": 0
180 },
181 "segment": {
182 "id": 11001,
183 "displayId": "SEG-001",
184 "status": {
185 "name": "ACTIVE",
186 "captionKey": "enum.objectStatus.active",
187 "active": true,
188 "caption": "Active"
189 },
190 "name": "Segment Alpha",
191 "erpSystemId": 0
192 },
193 "internalOrder": {
194 "id": 12001,
195 "displayId": "IO-001",
196 "status": {
197 "name": "ACTIVE",
198 "captionKey": "enum.objectStatus.active",
199 "active": true,
200 "caption": "Active"
201 },
202 "name": "Internal Order A",
203 "erpSystemId": 0,
204 "internalOrderTypeId": 0
205 },
206 "internalOrderType": {
207 "id": 13001,
208 "displayId": "IOT-001",
209 "status": {
210 "name": "ACTIVE",
211 "captionKey": "enum.objectStatus.active",
212 "active": true,
213 "caption": "Active"
214 },
215 "name": "Internal Order Type A",
216 "erpSystemId": 0
217 },
218 "costCenter": {
219 "id": 14001,
220 "displayId": "CC-001",
221 "status": {
222 "name": "ACTIVE",
223 "captionKey": "enum.objectStatus.active",
224 "active": true,
225 "caption": "Active"
226 },
227 "name": "Cost Center A",
228 "erpSystemId": 0
229 },
230 "responsibleCostCenter": {
231 "id": 14001,
232 "displayId": "CC-001",
233 "status": {
234 "name": "ACTIVE",
235 "captionKey": "enum.objectStatus.active",
236 "active": true,
237 "caption": "Active"
238 },
239 "name": "Cost Center A",
240 "erpSystemId": 0
241 },
242 "activationGroupRevisionId": 100010,
243 "activationGroupRevisionDisplayId": "AGR-100010",
244 "activationGroupId": 100001,
245 "activationGroupDisplayId": "AG-100001",
246 "indexationType": "CPI_LOCAL",
247 "currentIndexLevel": 100.5,
248 "indexationReferenceDate": "2025-08-01",
249 "conditionallyIndexed": true,
250 "applicableCurrentIndexLevel": 101,
251 "indexationLevelPercentageChangeLowerBound": 0,
252 "indexationLevelPercentageChangeUpperBound": 5,
253 "indexationTypeNonLease": "CPI_LOCAL",
254 "currentIndexLevelNonLease": 100,
255 "indexationReferenceDateNonLease": "2025-08-01",
256 "conditionallyIndexedNonLease": false,
257 "useNonLeaseOnIndexation": true,
258 "applicableCurrentIndexLevelNonLease": 100.5,
259 "indexationLevelPercentageChangeLowerBoundNonLease": 0,
260 "indexationLevelPercentageChangeUpperBoundNonLease": 3,
261 "spreadingFrequency": "STRAIGHT_LINE",
262 "costCenterAllocations": [
263 {
264 "id": 10001,
265 "mainCostCenter": true,
266 "allocationPercentage": 75,
267 "costCenter": {
268 "id": 14001,
269 "displayId": "CC-001",
270 "status": {
271 "name": "ACTIVE",
272 "captionKey": "enum.objectStatus.active",
273 "active": true,
274 "caption": "Active"
275 },
276 "name": "Cost Center A",
277 "erpSystemId": 0
278 },
279 "profitCenter": {
280 "id": 9001,
281 "displayId": "PC-001",
282 "status": {
283 "name": "ACTIVE",
284 "captionKey": "enum.objectStatus.active",
285 "active": true,
286 "caption": "Active"
287 },
288 "name": "North Region Profit Center",
289 "validTo": "2025-12-31",
290 "erpSystemId": 101,
291 "erpSystemDisplayId": "SAP-01"
292 }
293 }
294 ],
295 "ibrRate": 1.5,
296 "ibrRateCarryOver": 0.5,
297 "consumerPriceIndexCategory": {
298 "id": 101,
299 "displayId": "CPI-2025-001",
300 "status": {
301 "name": "ACTIVE",
302 "captionKey": "enum.objectStatus.active",
303 "active": true,
304 "caption": "Active"
305 },
306 "name": "Consumer Price Index - City A",
307 "city": "New York",
308 "country": "USA",
309 "province": "NY",
310 "erpSystemId": 0
311 },
312 "consumerPriceIndexCategoryNonLease": {
313 "id": 101,
314 "displayId": "CPI-2025-001",
315 "status": {
316 "name": "ACTIVE",
317 "captionKey": "enum.objectStatus.active",
318 "active": true,
319 "caption": "Active"
320 },
321 "name": "Consumer Price Index - City A",
322 "city": "New York",
323 "country": "USA",
324 "province": "NY",
325 "erpSystemId": 0
326 },
327 "indexationTreatmentType": "STANDARD",
328 "consumerPriceIndexValue": {
329 "id": 101,
330 "displayId": "CPI-VAL-2025-001",
331 "status": {
332 "name": "ACTIVE",
333 "captionKey": "enum.objectStatus.active",
334 "active": true,
335 "caption": "Active"
336 },
337 "value": 102.5
338 },
339 "consumerPriceIndexValueNonLease": {
340 "id": 101,
341 "displayId": "CPI-VAL-2025-001",
342 "status": {
343 "name": "ACTIVE",
344 "captionKey": "enum.objectStatus.active",
345 "active": true,
346 "caption": "Active"
347 },
348 "value": 102.5
349 },
350 "purchasingOrganization": {
351 "id": 1001,
352 "displayId": "PO-1001",
353 "status": {
354 "name": "ACTIVE",
355 "captionKey": "enum.objectStatus.active",
356 "active": true,
357 "caption": "Active"
358 },
359 "name": "North America Purchasing",
360 "companyId": 2001,
361 "companyDisplayId": "COMP-2001"
362 },
363 "purchasingOrder": {
364 "id": 3001,
365 "displayId": "PO-3001",
366 "status": {
367 "name": "ACTIVE",
368 "captionKey": "enum.objectStatus.active",
369 "active": true,
370 "caption": "Active"
371 },
372 "name": "Office Supplies Order",
373 "companyId": 2001
374 },
375 "type": "LESSEE",
376 "numberRangeIdentifierValue": "1000",
377 "numberRangeIdentifierType": {
378 "name": "COMPANY_CODE"
379 },
380 "numberRangeType": {
381 "name": "CONTRACT"
382 },
383 "allowsSystemGenerateNewId": false
384 }
385 ],
386 "number": 0,
387 "sort": {
388 "unsorted": false,
389 "sorted": true,
390 "empty": false
391 },
392 "first": true,
393 "last": true,
394 "empty": false
395}
Get Resource By ID (With Revision And Revision ID)¶
HTTP Request
GET /api/v1/activation-group-accountings/revision/{revisionId}
📋 Description: Retrieves the details of a specific activation group accounting revision identified by the provided revision ID, facilitating insights into lease-related financial obligations and accounting entries within the Nakisa Lease Accounting Suite.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
revisionId |
path |
integer |
true |
Unique identifier for the revision |
Example Values¶
Parameter |
Example |
Type |
|---|---|---|
revisionId |
|
path |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
Successfully retrieved activation group accounting |
Example Responses
1{
2 "code": "OK",
3 "errors": {
4 "all": []
5 },
6 "object": {
7 "id": 100001,
8 "displayId": "AGA-100001",
9 "principalPositionType": {
10 "name": "LESSEE",
11 "captionKey": "enum.principalpositiontype.lessee",
12 "caption": "Lessee"
13 },
14 "contractRate": 1.25,
15 "straightLineNonLeaseIncomeForPosting": false,
16 "compoundingFrequency": {
17 "name": "MONTHLY",
18 "captionKey": "enum.compoundingFrequency.monthly",
19 "length": 12,
20 "times": 12,
21 "caption": "Monthly"
22 },
23 "lessorPaymentReference": "LP-REF-2025",
24 "trackCost": true,
25 "generateVendorInvoice": false,
26 "calculateTax": true,
27 "calendarType": {
28 "name": "_360",
29 "captionKey": "enum.calendarType.360",
30 "caption": "360 Convention"
31 },
32 "fiscalVariant": {
33 "id": 1001,
34 "displayId": "FV-2025",
35 "status": {
36 "name": "ACTIVE",
37 "captionKey": "enum.objectStatus.active",
38 "active": true,
39 "caption": "Active"
40 },
41 "isCalendarYear": true,
42 "yearDependent": false,
43 "erpSystemDisplayId": "SAP-ERP",
44 "isErpSystemDefault": true
45 },
46 "workBreakdownStructure": {
47 "id": 1001,
48 "displayId": "WBS-2025-001",
49 "status": {
50 "name": "ACTIVE",
51 "captionKey": "enum.objectStatus.active",
52 "active": true,
53 "caption": "Active"
54 },
55 "name": "Main Project WBS",
56 "erpSystemId": 0
57 },
58 "functionalArea": {
59 "id": 2001,
60 "displayId": "FA-2025-001",
61 "status": {
62 "name": "ACTIVE",
63 "captionKey": "enum.objectStatus.active",
64 "active": true,
65 "caption": "Active"
66 },
67 "name": "Accounting Department",
68 "erpSystemId": 0
69 },
70 "businessArea": {
71 "id": 3001,
72 "displayId": "BA-2025-001",
73 "status": {
74 "name": "ACTIVE",
75 "captionKey": "enum.objectStatus.active",
76 "active": true,
77 "caption": "Active"
78 },
79 "name": "North America Operations",
80 "erpSystemId": 0
81 },
82 "taxJurisdiction": {
83 "id": 4001,
84 "displayId": "TJ-2025-001",
85 "status": {
86 "name": "ACTIVE",
87 "captionKey": "enum.objectStatus.active",
88 "active": true,
89 "caption": "Active"
90 },
91 "name": "California Tax Authority",
92 "erpSystemId": 0,
93 "schema": "string",
94 "countryDisplayId": "string"
95 },
96 "taxCode": {
97 "id": 5001,
98 "displayId": "TC-001",
99 "status": {
100 "name": "ACTIVE",
101 "captionKey": "enum.objectStatus.active",
102 "active": true,
103 "caption": "Active"
104 },
105 "name": "VAT Standard Rate",
106 "erpSystemId": 0
107 },
108 "paymentTerm": {
109 "id": 6001,
110 "displayId": "PT-2025-001",
111 "status": {
112 "name": "ACTIVE",
113 "captionKey": "enum.objectStatus.active",
114 "active": true,
115 "caption": "Active"
116 },
117 "name": "Net 30 Days"
118 },
119 "paymentBlock": {
120 "id": 7001,
121 "displayId": "PB-001",
122 "status": {
123 "name": "ACTIVE",
124 "captionKey": "enum.objectStatus.active",
125 "active": true,
126 "caption": "Active"
127 },
128 "name": "Block A"
129 },
130 "paymentMethod": {
131 "id": 8001,
132 "displayId": "PM-001",
133 "status": {
134 "name": "ACTIVE",
135 "captionKey": "enum.objectStatus.active",
136 "active": true,
137 "caption": "Active"
138 },
139 "name": "Bank Transfer",
140 "type": "WIRE"
141 },
142 "profitCenter": {
143 "id": 9001,
144 "displayId": "PC-001",
145 "status": {
146 "name": "ACTIVE",
147 "captionKey": "enum.objectStatus.active",
148 "active": true,
149 "caption": "Active"
150 },
151 "name": "North Region Profit Center",
152 "validTo": "2025-12-31",
153 "erpSystemId": 101,
154 "erpSystemDisplayId": "SAP-01"
155 },
156 "network": {
157 "id": 10001,
158 "displayId": "NET-001",
159 "status": {
160 "name": "ACTIVE",
161 "captionKey": "enum.objectStatus.active",
162 "active": true,
163 "caption": "Active"
164 },
165 "name": "Global Network",
166 "erpSystemId": 0
167 },
168 "segment": {
169 "id": 11001,
170 "displayId": "SEG-001",
171 "status": {
172 "name": "ACTIVE",
173 "captionKey": "enum.objectStatus.active",
174 "active": true,
175 "caption": "Active"
176 },
177 "name": "Segment Alpha",
178 "erpSystemId": 0
179 },
180 "internalOrder": {
181 "id": 12001,
182 "displayId": "IO-001",
183 "status": {
184 "name": "ACTIVE",
185 "captionKey": "enum.objectStatus.active",
186 "active": true,
187 "caption": "Active"
188 },
189 "name": "Internal Order A",
190 "erpSystemId": 0,
191 "internalOrderTypeId": 0
192 },
193 "internalOrderType": {
194 "id": 13001,
195 "displayId": "IOT-001",
196 "status": {
197 "name": "ACTIVE",
198 "captionKey": "enum.objectStatus.active",
199 "active": true,
200 "caption": "Active"
201 },
202 "name": "Internal Order Type A",
203 "erpSystemId": 0
204 },
205 "costCenter": {
206 "id": 14001,
207 "displayId": "CC-001",
208 "status": {
209 "name": "ACTIVE",
210 "captionKey": "enum.objectStatus.active",
211 "active": true,
212 "caption": "Active"
213 },
214 "name": "Cost Center A",
215 "erpSystemId": 0
216 },
217 "responsibleCostCenter": {
218 "id": 14001,
219 "displayId": "CC-001",
220 "status": {
221 "name": "ACTIVE",
222 "captionKey": "enum.objectStatus.active",
223 "active": true,
224 "caption": "Active"
225 },
226 "name": "Cost Center A",
227 "erpSystemId": 0
228 },
229 "activationGroupRevisionId": 100010,
230 "activationGroupRevisionDisplayId": "AGR-100010",
231 "activationGroupId": 100001,
232 "activationGroupDisplayId": "AG-100001",
233 "indexationType": "CPI_LOCAL",
234 "currentIndexLevel": 100.5,
235 "indexationReferenceDate": "2025-08-01",
236 "conditionallyIndexed": true,
237 "applicableCurrentIndexLevel": 101,
238 "indexationLevelPercentageChangeLowerBound": 0,
239 "indexationLevelPercentageChangeUpperBound": 5,
240 "indexationTypeNonLease": "CPI_LOCAL",
241 "currentIndexLevelNonLease": 100,
242 "indexationReferenceDateNonLease": "2025-08-01",
243 "conditionallyIndexedNonLease": false,
244 "useNonLeaseOnIndexation": true,
245 "applicableCurrentIndexLevelNonLease": 100.5,
246 "indexationLevelPercentageChangeLowerBoundNonLease": 0,
247 "indexationLevelPercentageChangeUpperBoundNonLease": 3,
248 "spreadingFrequency": "STRAIGHT_LINE",
249 "costCenterAllocations": [
250 {
251 "id": 10001,
252 "mainCostCenter": true,
253 "allocationPercentage": 75,
254 "costCenter": {
255 "id": 14001,
256 "displayId": "CC-001",
257 "status": {
258 "name": "ACTIVE",
259 "captionKey": "enum.objectStatus.active",
260 "active": true,
261 "caption": "Active"
262 },
263 "name": "Cost Center A",
264 "erpSystemId": 0
265 },
266 "profitCenter": {
267 "id": 9001,
268 "displayId": "PC-001",
269 "status": {
270 "name": "ACTIVE",
271 "captionKey": "enum.objectStatus.active",
272 "active": true,
273 "caption": "Active"
274 },
275 "name": "North Region Profit Center",
276 "validTo": "2025-12-31",
277 "erpSystemId": 101,
278 "erpSystemDisplayId": "SAP-01"
279 }
280 }
281 ],
282 "ibrRate": 1.5,
283 "ibrRateCarryOver": 0.5,
284 "consumerPriceIndexCategory": {
285 "id": 101,
286 "displayId": "CPI-2025-001",
287 "status": {
288 "name": "ACTIVE",
289 "captionKey": "enum.objectStatus.active",
290 "active": true,
291 "caption": "Active"
292 },
293 "name": "Consumer Price Index - City A",
294 "city": "New York",
295 "country": "USA",
296 "province": "NY",
297 "erpSystemId": 0
298 },
299 "consumerPriceIndexCategoryNonLease": {
300 "id": 101,
301 "displayId": "CPI-2025-001",
302 "status": {
303 "name": "ACTIVE",
304 "captionKey": "enum.objectStatus.active",
305 "active": true,
306 "caption": "Active"
307 },
308 "name": "Consumer Price Index - City A",
309 "city": "New York",
310 "country": "USA",
311 "province": "NY",
312 "erpSystemId": 0
313 },
314 "indexationTreatmentType": "STANDARD",
315 "consumerPriceIndexValue": {
316 "id": 101,
317 "displayId": "CPI-VAL-2025-001",
318 "status": {
319 "name": "ACTIVE",
320 "captionKey": "enum.objectStatus.active",
321 "active": true,
322 "caption": "Active"
323 },
324 "value": 102.5
325 },
326 "consumerPriceIndexValueNonLease": {
327 "id": 101,
328 "displayId": "CPI-VAL-2025-001",
329 "status": {
330 "name": "ACTIVE",
331 "captionKey": "enum.objectStatus.active",
332 "active": true,
333 "caption": "Active"
334 },
335 "value": 102.5
336 },
337 "purchasingOrganization": {
338 "id": 1001,
339 "displayId": "PO-1001",
340 "status": {
341 "name": "ACTIVE",
342 "captionKey": "enum.objectStatus.active",
343 "active": true,
344 "caption": "Active"
345 },
346 "name": "North America Purchasing",
347 "companyId": 2001,
348 "companyDisplayId": "COMP-2001"
349 },
350 "purchasingOrder": {
351 "id": 3001,
352 "displayId": "PO-3001",
353 "status": {
354 "name": "ACTIVE",
355 "captionKey": "enum.objectStatus.active",
356 "active": true,
357 "caption": "Active"
358 },
359 "name": "Office Supplies Order",
360 "companyId": 2001
361 },
362 "type": "LESSEE",
363 "numberRangeIdentifierValue": "1000",
364 "numberRangeIdentifierType": {
365 "name": "COMPANY_CODE"
366 },
367 "numberRangeType": {
368 "name": "CONTRACT"
369 },
370 "allowsSystemGenerateNewId": false
371 }
372}
Retrieves An Activation Group Accounting¶
HTTP Request
GET /api/v1/activation-group-accountings/cost-objects-modification-initial-data/{revisionId}
📋 Description: Retrieves initial data for cost object modifications associated with a specified revision in the Nakisa Lease Accounting Suite, facilitating effective management of lease contracts and financial obligations.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
revisionId |
path |
integer |
true |
Unique identifier for the revision |
Example Values¶
Parameter |
Example |
Type |
|---|---|---|
revisionId |
|
path |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
Successfully retrieved activation group accounting |
Example Responses
1{
2 "code": "OK",
3 "errors": {
4 "all": []
5 },
6 "object": {
7 "effectiveDateUpperLimit": "2025-12-31",
8 "effectiveDateLowerLimit": "2025-01-01",
9 "costCenterAllocations": [],
10 "units": []
11 }
12}